org.flexdock.plaf.common.border

## Class CompoundEmptyBorder.MutableEmptyBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EmptyBorder
    - - org.flexdock.plaf.common.border.CompoundEmptyBorder.MutableEmptyBorder

All Implemented Interfaces:
  java.io.Serializable, javax.swing.border.Border

Enclosing class:
  CompoundEmptyBorder

    protected static class CompoundEmptyBorder.MutableEmptyBorder
    extends javax.swing.border.EmptyBorder

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.border.EmptyBorder

`bottom, left, right, top`

### Constructor Summary

Constructors
Constructor and Description
`CompoundEmptyBorder.MutableEmptyBorder(java.awt.Insets borderInsets)`
`CompoundEmptyBorder.MutableEmptyBorder(int top, int left, int bottom, int right)`

### Method Summary

### Methods inherited from class javax.swing.border.EmptyBorder

`getBorderInsets, getBorderInsets, getBorderInsets, isBorderOpaque, paintBorder`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompoundEmptyBorder.MutableEmptyBorder

    public CompoundEmptyBorder.MutableEmptyBorder(int top,
                                          int left,
                                          int bottom,
                                          int right)

#### CompoundEmptyBorder.MutableEmptyBorder

    public CompoundEmptyBorder.MutableEmptyBorder(java.awt.Insets borderInsets)